#ifndef R1_FA_STATE_H_
#define R1_FA_STATE_H_

#include "State.h"

namespace PamOffLineSW
{

class R1_FA_State : public PamOffLineSW::State
{
public:	
	virtual ~R1_FA_State();
	void readInput(char inputbyte);
	static R1_FA_State& getInstance(){return instance;}
private:
	R1_FA_State();
	static R1_FA_State instance;
};

}

#endif /*R1_FA_STATE_H_*/
